<?php

namespace App\Repositories\Core\User\Notifications;

use Illuminate\Notifications\Messages\MailMessage;

class ResetPassword extends \Illuminate\Auth\Notifications\ResetPassword
{
    public function toMail($notifiable)
    {
        return (new MailMessage())
            ->markdown('notifications.email')
            ->greeting(__('notifications.greeting', ['firstname' => $notifiable->first_name]))
            ->subject(__('notifications.resetpassword.subject'))
            ->line(__('notifications.resetpassword.intro'))
            ->action(
                __('notifications.resetpassword.button'),
                route('password.reset', $this->token)
            )
            ->line(__('notifications.resetpassword.outro'));
    }
}
